from setuphelpers import *
import platform

if platform.system() == 'Windows':
    inipath = makepath(programfiles(), 'CYBERWATCH SAS','CyberwatchAgent','agent.conf')
else:
    inipath = '/etc//etc/cyberwatch-agent/agent.conf'

registration_key_id = 'AAA+AAOAAAAAAAAAAAAAAA/+AAAAAAAAAAA='
secret_registration_key = 'AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAdyA=='
base_url = 'https://demo.cyberwatch.fr/api/v2/'
allow_selfsigned = False

def install():
    if not params.get("install_with_luti", False):
        if base_url == 'https://demo.cyberwatch.fr/api/v2/':
            error('Please Configure this package')

    inifile_writestring(inipath,'api','base_url',base_url)
    inifile_writestring(inipath,'api','allow_selfsigned',str(allow_selfsigned))

    if  len(str(inifile_readstring(inipath,'api','access_key_id'))) < 32 and len(str(inifile_readstring(inipath,'api','secret_access_key'))) < 32:
 
        inifile_writestring(inipath,'api','registration_key_id'    ,registration_key_id)
        inifile_writestring(inipath,'api','secret_registration_key',secret_registration_key)

        

        inifile_writestring(inipath,'api','access_key_id'    ,'')
        inifile_writestring(inipath,'api','secret_access_key','')
        inifile_writestring(inipath,'api','groups','')
        inifile_writestring(inipath,'api','category','server')

        inifile_writestring(inipath,'proxy','enabled','False')
        inifile_writestring(inipath,'proxy','host','')

        inifile_writestring(inipath,'wsus_proxy','enabled','False')
        inifile_writestring(inipath,'wsus_proxy','host','')
        
        if platform.system() == 'Windows':
            service_restart('CyberwatchService')
 

def uninstall():
    remove_file(inipath)


def audit():

    if platform.system() == 'Windows':
        return "OK"
    elif platform.system() == 'Darwin':
        run('/opt/wapt/bin/python3 /Library/Cyberwatch/cyberwatch-agent/cyberwatch-agent.py')
    else:
        if isfile('/usr/bin/cyberwatch-agent'):
            run('/opt/wapt/bin/python3 /usr/bin/cyberwatch-agent')
        elif isfile('/usr/local/bin/cyberwatch-agent'):
            run('/opt/wapt/bin/python3 /usr/local/bin/cyberwatch-agent')
        else:
            pass

    return "OK"    